Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 710904 - sci-geosciences/viking-1.7 : fails to build with -fno-common or gcc-10
Summary: sci-geosciences/viking-1.7 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Hans de Graaff
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-26 19:23 UTC by Toralf Förster
Modified: 2020-03-01 08:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.24 KB, text/plain)
2020-02-26 19:23 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,214.75 KB, text/plain)
2020-02-26 19:23 UTC, Toralf Förster
Details
environment (environment,89.72 KB, text/plain)
2020-02-26 19:23 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.50 KB, application/x-bzip)
2020-02-26 19:23 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,12.91 KB, application/x-bzip)
2020-02-26 19:23 UTC, Toralf Förster
Details
sci-geosciences:viking-1.7:20200226-191405.log (sci-geosciences:viking-1.7:20200226-191405.log,599.65 KB, text/plain)
2020-02-26 19:23 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,41.73 KB, application/x-bzip)
2020-02-26 19:23 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-26 19:23:34 UTC
rm -f libviking.a
ar cru libviking.a modules.o curl_download.o compression.o degrees_converters.o globals.o viktrwlayer.o vik_compat.o viktrack.o vikwaypoint.o clipboard.o coords.o gpsmapper.o gpspoint.o geojson.o dir.o file.o fileutils.o file_magic.o dialog.o util.o ui_util.o download.o jpg.o vikenumtypes.o viktreeview.o viklayer.o viklayerspanel.o vikcoordlayer.o vikstatus.o vikwindow.o vikviewport.o vikaggregatelayer.o vikgobjectbuilder.o vikgpslayer.o vikgeoreflayer.o vikfileentry.o vikgototool.o vikgotoxmltool.o vikgoto.o viktrwlayer_export.o viktrwlayer_tpwin.o viktrwlayer_wpwin.o viktrwlayer_propwin.o viktrwlayer_analysis.o viktrwlayer_tracklist.o viktrwlayer_waypointlist.o vikrouting.o vikroutingengine.o vikroutingwebengine.o vikutils.o toolbar.o thumbnails.o md5_hash.o background.o vikradiogroup.o vikcoord.o mapcache.o maputils.o vikmapsource.o vikmapsourcedefault.o vikmapslayer.o vikmapslayer_compat.o vikmaptype.o vikslippymapsource.o vikwmscmapsource.o viktmsmapsource.o metatile.o gpx.o garminsymbols.o acquire.o babel.o babel_ui.o datasource_file.o datasource_geojson.o datasource_gps.o datasource_routing.o datasource_gc.o datasource_bfilter.o datasource_wikipedia.o datasource_url.o googlesearch.o dem.o vikdemlayer.o vikdatetime_edit_dialog.o vikfilelist.o vikexttool.o vikexttools.o vikwebtool.o vikwebtoolcenter.o vikwebtoolbounds.o vikwebtoolformat.o vikexttool_datasources.o vikwebtool_datasource.o dems.o srtm_continent.o uibuilder.o print-preview.o print.o kmz.o viklayer_defaults.o settings.o preferences.o misc/fpconv.o misc/strtod.o misc/kdtree.o misc/gtkhtml.o bingmapsource.o bing.o google.o terraservermapsource.o terraserver.o expedia.o osm.o osm-traces.o datasource_osm_my_traces.o datasource_osm.o bluemarble.o geonames.o geonamessearch.o datasource_geotag.o geotag_exif.o viktrwlayer_geotag.o    
x86_64-pc-linux-gnu-ranlib libviking.a
x86_64-pc-linux-gnu-gcc -Wall -g -D_GNU_SOURCE -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/lib64/libffi/include -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/uuid -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/atk-1.0 -pthread   -O2 -pipe -march=native -fno-common -falign-functions=32:25:16  -Wl,-O1 -Wl,--as-needed -o viking main.o libviking.a -lgthread-2.0 -pthread -lglib-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lfreetype -lgio-2.0 -lgobject-2.0 -lglib-2.0   -lexpat -lcurl -lssl -lcrypto -lssl -lcrypto -lldap -llber -lz icons/libicons.a  -lnettle -lzip -lsqlite3 -lmagic -lbz2 -lgexiv2 -lX11 -lz -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: libviking.a(modules.o):/var/tmp/portage/sci-geosciences/viking-1.7/work/viking-1.7/src/babel.h:113: multiple definition of `a_babel_device_list'; main.o:/var/tmp/portage/sci-geosciences/viking-1.7/work/viking-1.7/src/babel.h:113: first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: libviking.a(modules.o):/var/tmp/portage/sci-geosciences/viking-1.7/work/viking-1.7/src/babel.h:112: multiple definition of `a_babel_file_list'; main.o:/var/tmp/portage/sci-geosciences/viking-1.7/work/viking-1.7/src/babel.h:112: first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-libressl-20200221-021522

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
2)	JamVM JDK 2.0.0 [jamvm]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
  [2]   jamvm 
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 26 Feb 2020 17:37:15 +0000

emerge -qpvO sci-geosciences/viking
[ebuild  N    ] sci-geosciences/viking-1.7  USE="exif magic nls sqlite -doc -geoclue -gps -libexif -mapnik -oauth"
Comment 1 Toralf Förster gentoo-dev 2020-02-26 19:23:38 UTC
Created attachment 616144 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-26 19:23:41 UTC
Created attachment 616146 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-26 19:23:44 UTC
Created attachment 616148 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-26 19:23:47 UTC
Created attachment 616150 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-26 19:23:50 UTC
Created attachment 616152 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-26 19:23:53 UTC
Created attachment 616154 [details]
sci-geosciences:viking-1.7:20200226-191405.log
Comment 7 Toralf Förster gentoo-dev 2020-02-26 19:23:55 UTC
Created attachment 616156 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-03-01 08:31:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a7f524ff4060e48f10b7c3cec3fc77be0f29399

commit 9a7f524ff4060e48f10b7c3cec3fc77be0f29399
Author:     Hans de Graaff <graaff@gentoo.org>
AuthorDate: 2020-03-01 08:30:58 +0000
Commit:     Hans de Graaff <graaff@gentoo.org>
CommitDate: 2020-03-01 08:30:58 +0000

    sci-geosciences/viking: fix compilation with no-common
    
    Closes: https://bugs.gentoo.org/710904
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Hans de Graaff <graaff@gentoo.org>

 .../viking/files/viking-1.7-no-common.patch        | 13 +++
 sci-geosciences/viking/viking-1.7-r1.ebuild        | 93 ++++++++++++++++++++++
 2 files changed, 106 insertions(+)